ENVSUBST(1)

NOM
envsubst - Substituer des variables d'environnement dans des chaînes au format shell

SYNOPSIS
envsubst [OPTION] [SHELL-FORMAT]

DESCRIPTION

Substituer les valeurs de variables d'environnement.

  Mode opératoire :

-v, --variables
    afficher les variables apparaissant en SHELL-FORMAT.

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

En mode d'opération normal, l'entrée standard est copiée vers la sortie standard avec des références aux variables d'environnement de la forme $VARIABLE ou ${VARIABLE} remplacées par les valeurs correspondantes. Si un SHELL-FORMAT est donné, seules ces variables d'environnement référencées en SHELL-FORMAT sont substituées ; autrement toutes les références de variables d'environnement apparaissant dans l'entrée standard sont substituées.

Quand --variables est utilisé, l'entrée standard est ignorée et la sortie est composée de variables d'environnement référencées en SHELL-FORMAT.

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2003-2025 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de envsubst est disponible dans un manuel Texinfo. Si les programmes info et envsubst sont correctement installés, la commande

    info envsubst

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.